Mailinglist Archive: opensuse-updates (101 mails)

< Previous Next >
openSUSE-SU-2015:0300-1: moderate: Security update for dbus-1, dbus-1-x11
openSUSE Security Update: Security update for dbus-1, dbus-1-x11
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0300-1
Rating: moderate
References: #916343
Cross-References: CVE-2015-0245
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

dbus-1, dbus-1-x11 were updated to version 1.8.16 to fix one security
issue.

This update fixes the following security issue:
- CVE-2015-0245: Do not allow non-uid-0 processes to send forged
ActivationFailure messages. On Linux systems with systemd activation,
this would allow a local denial of service (bnc#916343).

These additional security hardenings are included:
- Do not allow calls to UpdateActivationEnvironment from uids
other than the uid of the dbus-daemon. If a system service installs
unsafe security policy rules that allow arbitrary method calls (such as
CVE-2014-8148) then this prevents memory consumption and possible
privilege escalation via UpdateActivationEnvironment.
- Do not allow calls to UpdateActivationEnvironment or the Stats interface
on object paths other than /org/freedesktop/DBus. Some system services
install unsafe security policy rules that allow arbitrary method calls
to any destination, method and interface with a specified object path.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-150=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-150=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

dbus-1-1.8.16-16.1
dbus-1-debuginfo-1.8.16-16.1
dbus-1-debugsource-1.8.16-16.1
dbus-1-devel-1.8.16-16.1
dbus-1-x11-1.8.16-16.1
dbus-1-x11-debuginfo-1.8.16-16.1
dbus-1-x11-debugsource-1.8.16-16.1
libdbus-1-3-1.8.16-16.1
libdbus-1-3-debuginfo-1.8.16-16.1

- openSUSE 13.2 (x86_64):

dbus-1-debuginfo-32bit-1.8.16-16.1
dbus-1-devel-32bit-1.8.16-16.1
libdbus-1-3-32bit-1.8.16-16.1
libdbus-1-3-debuginfo-32bit-1.8.16-16.1

- openSUSE 13.2 (noarch):

dbus-1-devel-doc-1.8.16-16.1

- openSUSE 13.1 (i586 x86_64):

dbus-1-1.8.16-4.36.2
dbus-1-debuginfo-1.8.16-4.36.2
dbus-1-debugsource-1.8.16-4.36.1
dbus-1-devel-1.8.16-4.36.1
dbus-1-x11-1.8.16-4.36.2
dbus-1-x11-debuginfo-1.8.16-4.36.2
dbus-1-x11-debugsource-1.8.16-4.36.2
libdbus-1-3-1.8.16-4.36.1
libdbus-1-3-debuginfo-1.8.16-4.36.1

- openSUSE 13.1 (x86_64):

dbus-1-debuginfo-32bit-1.8.16-4.36.2
dbus-1-devel-32bit-1.8.16-4.36.1
libdbus-1-3-32bit-1.8.16-4.36.1
libdbus-1-3-debuginfo-32bit-1.8.16-4.36.1

- openSUSE 13.1 (noarch):

dbus-1-devel-doc-1.8.16-4.36.2


References:

http://support.novell.com/security/cve/CVE-2015-0245.html
https://bugzilla.suse.com/916343


< Previous Next >
This Thread
  • No further messages